- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 9b8a5ac3-7315-4663-bc87-d7279d88f26c
    creation_time: 2023-02-17T13:36:09.932254Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/up.i
      input_file_hashes:
        c/loop-invgen/up.i: ff5c10c83c8d29dcc2c2798035fa2754df224d2313ad9c91b6ee5bb6ca3d9a9f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/up.i
    file_hash: ff5c10c83c8d29dcc2c2798035fa2754df224d2313ad9c91b6ee5bb6ca3d9a9f
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: i == k && (0 <= i && i <= n || i == 0 && 0 > n)
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: ddc7a39b-8ae0-4272-b2f6-264a7bab3a73
    creation_time: 2023-02-17T13:36:09.932474Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/up.i
      input_file_hashes:
        c/loop-invgen/up.i: ff5c10c83c8d29dcc2c2798035fa2754df224d2313ad9c91b6ee5bb6ca3d9a9f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/up.i
    file_hash: ff5c10c83c8d29dcc2c2798035fa2754df224d2313ad9c91b6ee5bb6ca3d9a9f
    line: 34
    column: 0
    function: main
  loop_invariant:
    string: k == j && j == 0 && 0 > n || (k + j == n && n >= 0 && j <= n)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b30d5083-6979-4f6f-bb67-f45d59433629
    creation_time: 2023-02-17T13:36:09.932768Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/up.i
      input_file_hashes:
        c/loop-invgen/up.i: ff5c10c83c8d29dcc2c2798035fa2754df224d2313ad9c91b6ee5bb6ca3d9a9f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/up.i
    file_hash: ff5c10c83c8d29dcc2c2798035fa2754df224d2313ad9c91b6ee5bb6ca3d9a9f
    line: 36
    column: 0
    function: main
  location_invariant:
    string: k > 0
    type: assertion
    format: C

